A I settings
Set creator ai mode
Set AI messaging mode for explicit creator IDs or all accessible creators except the supplied exclusions. Enabling autonomous handling can send real fan messages within that target.
PATCH
/v1/agencies/{agencyId}/creator-ai-settingsSet AI messaging mode for explicit creator IDs or all accessible creators except the supplied exclusions. Enabling autonomous handling can send real fan messages within that target.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creator-ai-settings" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "enable": true, "target": { "type": "ids", "creatorIds": [ "string" ] } }'{ "data": { "targeted": 0, "updated": 0, "skipped": 0, "failed": 0 }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}